<?php

if (!function_exists('fnQueryParams')) {
    function fnQueryParams(array $params): string
    {
        $query = '';
        foreach ($params as $key => $value) {
            if ($value) {
                if (is_array($value)) {
                    foreach ($value as $item) {
                        $query .= http_build_query([$key => $item]) . '&';
                    }
                } else {
                    $query .= http_build_query([$key => $value]) . '&';
                }
            }
        }

        return $query ? '?' . rtrim($query, '&') : '';
    }
}

if (!function_exists('isEmpty')) {
    function isEmpty(array $obj): bool
    {
        return empty(array_filter($obj));
    }
}

if (!function_exists('apiFormValidation')) {
    function apiFormValidation(array $data, callable $setErrors): void
    {
        $errors = [];
        foreach ($data as $key => $value) {
            if (is_array($value) && isset($value[0])) {
                $errors[$key] = $value[0];
            }
        }
        $setErrors($errors);
    }
}