<?php

namespace App\Livewire;

use Livewire\Component;
use Illuminate\Support\Facades\Session;

class ErrorHandler extends Component
{
    public function handleError($status, $message = null)
    {
        if ($status == 401) {
            Session::forget('token');
            return redirect()->route('login')->with('error', 'Session expired. Please login again. ' . ($message ? '- ' . $message : ''));
        } elseif ($status == 404) {
            return redirect('/404')->with('error', 'Page not found.');
        } else {
            Session::flash('error', 'Something went wrong! ' . ($message ? '- ' . $message : ''));
        }
    }

    public function render()
    {
        return view('livewire.error-handler');
    }
}