<div class="container my-5">
    <h1 class="mb-4">Fetch Data Status</h1>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Status: {{ $status ?: 'Idle' }}</h5>
            <p class="card-text">Code: {{ $code ?: 'N/A' }}</p>
            <p class="card-text">
                Data: 
                @if(!empty($data))
                    {{ implode(', ', $data) }}
                @else
                    No data fetched
                @endif
            </p>
            <div class="alert {{ $status === 'success' ? 'alert-success' : ($status === 'error' ? 'alert-danger' : 'alert-info') }} mt-3">
                @if($status === 'success')
                    Data fetched successfully!
                @elseif($status === 'error')
                    Failed to fetch data.
                @else
                    Waiting for data fetch action...
                @endif
            </div>
        </div>
    </div>
</div>